Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.tibjms.admin
Class CMListenerInfo

    java.lang.Object
      com.tibco.tibjms.admin.CMListenerInfo

    public class CMListenerInfo

extends java.lang.Object

This class represents a TIBCO Rendezvous CM listener.

Constructor Summary
`CMListenerInfo()` Creates CMListener with empty transport, name and subject.
`CMListenerInfo(java.lang.String name, java.lang.String subject)` Creates CMListener with given name and subject name.
`CMListenerInfo(java.lang.String transport, java.lang.String name, java.lang.String subject)` Creates CMListener on a given transport with given name and subject name.

Method Summary
`java.lang.String` | `getName()` Return the name of the listener.
`java.lang.String` | `getSubject()` Return the subject of the listener.
`java.lang.String` | `getTransport()` Return the name of the listener's transport.
`void` | `setName(java.lang.String name)` Set the name of the listener.
`void` | `setSubject(java.lang.String subject)` Set the listener's subject.
`void` | `setTransport(java.lang.String transport)` Set the name of the listener's transport.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CMListenerInfo

    public CMListenerInfo()

  Creates CMListener with empty transport, name and subject.

### CMListenerInfo

    public CMListenerInfo(java.lang.String transport,
                          java.lang.String name,
                          java.lang.String subject)

  Creates CMListener on a given transport with given name and subject name.

  Parameters:
    `transport` - the name of the transport on which the listener is to be created.
    `name` - the name of listener to be created.
    `subject` - the subject on which the listener is to be created.

### CMListenerInfo

    public CMListenerInfo(java.lang.String name,
                          java.lang.String subject)

  Creates CMListener with given name and subject name. CMListeners created with this method are assigned to the default TIBCO Rendezvous CM transport ("$RVCM$"). If the server uses multiple named transports then use the CMListenerInfo(String transport, String name, String subject) constructor, specifying which transport the listener is to be created on.

  Parameters:
    `name` - the name of listener to be created.
    `subject` - the subject on which the listener is to be created.

Method Detail

### getTransport

    public java.lang.String getTransport()

  Return the name of the listener's transport.

  Returns:
    transport name.

### getName

    public java.lang.String getName()

  Return the name of the listener.

  Returns:
    listener name.

### getSubject

    public java.lang.String getSubject()

  Return the subject of the listener.

  Returns:
    listener subject.

### setTransport

    public void setTransport(java.lang.String transport)

  Set the name of the listener's transport.

  Parameters:
    `transport` - the listener's transport.

### setName

    public void setName(java.lang.String name)

  Set the name of the listener.

  Parameters:
    `name` - the listener's name.

### setSubject

    public void setSubject(java.lang.String subject)

  Set the listener's subject.

  Parameters:
    `subject` - the listener's subject.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © TIBCO Software Inc. All rights reserved